メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
event-logs
List event logs
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/event-logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/event-logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/event-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  }
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

identityId
string
startDate
string

Filter event logs from this start date. Supports both date format (YYYY-MM-DD) and ISO 8601 datetime format (YYYY-MM-DDTHH:mm:ss.sssZ).

:

"2022-01-01T00:00:00.000Z"

endDate
string

Filter event logs up to this end date. Supports both date format (YYYY-MM-DD) and ISO 8601 datetime format (YYYY-MM-DDTHH:mm:ss.sssZ).

:

"2022-10-27T23:59:59.999Z"

searchText
string

Search text to filter event logs by user email, service name, or event details.

showUnmatched
boolean
デフォルト:false

Include unmatched event logs (events that couldn't be matched to known users).

limit
number
デフォルト:50

Maximum number of items to return per page.

:

50

nextCursor
string

Cursor for pagination. Use the nextCursor value from the previous response to fetch the next page.

レスポンス

200 - application/json

Event logs retrieved successfully.

meta
object
必須
最終更新日 2026年7月10日